#PWM7.py Motortreiber
from machine import Pin, Timer, PWM
import time

pwm0 = PWM(Pin(0))
pwm0.freq(5000)
pwm1 = PWM(Pin(2))
pwm1.freq(5000)
pwm2 = PWM(Pin(4))
pwm2.freq(5000)

tim = Timer()
x =[128,176,217,245,254,245,217,176,128,80,39,11,2,11,38,80,128]
t=0
def tick(timer):
    global t
    global f
    t += f
    t1 = int(t / 100) & 15
    t2 = (t1 + 5) & 15
    t3 = (t1 + 10) & 15
    pwm0.duty_u16(256*x[t1])
    pwm1.duty_u16(256*x[t2])
    pwm2.duty_u16(256*x[t3])
    
tim.init(freq=1600, mode=Timer.PERIODIC, callback=tick)

for f in range(31):
    time.sleep(0.2)
    print(f, " Hz")
while 1:
    time.sleep (1)
